#include "UiEvent.h"

UiEvent::UiEvent()
    : mType(Type::Unknown)
{

}

UiEvent::~UiEvent()
{

}

std::unique_ptr<UiEvent> UiEvent::Create()
{
    return std::make_unique<UiEvent>();
}

UiEvent::Type UiEvent::GetType() const
{
    return mType;
}

